--- init
+++ init
@@ -211,6 +211,10 @@
         fi
         echo "Unlocking LUKS encrypted device '${LUKSDEV}' as luks mapped device '$CRYPTDEV':"
         /sbin/cryptsetup ${LUKSKEY} luksOpen ${LUKSDEV} ${CRYPTDEV} </dev/tty0 >/dev/tty0 2>&1
+        while [ $? -eq 2 ]; do # wrong password has been entered at least 3 times in a row:
+          echo "Press ^C to continue without unlocking LUKS device."
+          setsid cttyhack /sbin/cryptsetup --tries=1 ${LUKSKEY} luksOpen ${LUKSDEV} ${CRYPTDEV}
+        done
         if [ "$ROOTDEV" = "$LUKSDEV" -o "$ROOTDEV" = "$CRYPTDEV" ] ; then
           ROOTDEV="/dev/mapper/$CRYPTDEV"
         fi
@@ -240,6 +244,10 @@
         fi
         echo "Unlocking LUKS encrypted device '${LUKSDEV}' as luks mapped device '$CRYPTDEV':"
         /sbin/cryptsetup ${LUKSKEY} luksOpen ${LUKSDEV} ${CRYPTDEV} </dev/tty0 >/dev/tty0 2>&1
+        while [ $? -eq 2 ]; do # wrong password has been entered at least 3 times in a row:
+          echo "Press ^C to continue without unlocking LUKS device."
+          setsid cttyhack /sbin/cryptsetup --tries=1 ${LUKSKEY} luksOpen ${LUKSDEV} ${CRYPTDEV}
+        done
         if [ "$ROOTDEV" = "$LUKSDEV" -o "$ROOTDEV" = "$CRYPTDEV" ] ; then
           ROOTDEV="/dev/mapper/$CRYPTDEV"
         fi
